CVE-2022-31123

Grafana is an open source observability and data visualization platform. Versions prior to 9.1.8 and 8.5.14 are vulnerable to a bypass in the plugin signature verification. An attacker can convince a server admin to download and successfully run a malicious plugin even though unsigned plugins are not allowed. Versions 9.1.8 and 8.5.14 contain a patch for this issue. As a workaround, do not install plugins downloaded from untrusted sources.
Configurations

Configuration 1 (hide)

OR cpe:2.3:a:grafana:grafana:*:*:*:*:*:*:*:*
cpe:2.3:a:grafana:grafana:*:*:*:*:*:*:*:*

History

24 Nov 2022, 16:15

Type Values Removed Values Added
References
  • (CONFIRM) https://security.netapp.com/advisory/ntap-20221124-0002/ -

14 Oct 2022, 13:15

Type Values Removed Values Added
CVSS v2 : unknown
v3 : unknown
v2 : unknown
v3 : 7.8
First Time Grafana
Grafana grafana
CPE cpe:2.3:a:grafana:grafana:*:*:*:*:*:*:*:*
References (CONFIRM) https://github.com/grafana/grafana/security/advisories/GHSA-rhxj-gh46-jvw8 - (CONFIRM) https://github.com/grafana/grafana/security/advisories/GHSA-rhxj-gh46-jvw8 - Patch, Third Party Advisory
References (MISC) https://github.com/grafana/grafana/releases/tag/v9.1.8 - (MISC) https://github.com/grafana/grafana/releases/tag/v9.1.8 - Release Notes, Third Party Advisory

13 Oct 2022, 22:15

Type Values Removed Values Added
New CVE

Information

Published : 2022-10-13 22:15

Updated : 2022-11-24 16:15


NVD link : CVE-2022-31123

Mitre link : CVE-2022-31123


JSON object : View

Products Affected

grafana

  • grafana
CWE
CWE-347

Improper Verification of Cryptographic Signature